#define BLYNK_TEMPLATE_ID           ""
#define BLYNK_DEVICE_NAME           ""
#define BLYNK_AUTH_TOKEN            ""
#define BLYNK_PRINT Serial

// Comment this out to disable prints and save space
#define BLYNK_PRINT SerialUSB

#define TINY_GSM_MODEM_ESP8266
#define SerialMon Serial
#define SerialAT Serial1
// Increase RX buffer to capture the entire response
// Chips without internal buffering (A6/A7, ESP8266, M590)
// need enough space in the buffer for the entire response
// else data will be lost (and the http library will fail).
#if !defined(TINY_GSM_RX_BUFFER)
#define TINY_GSM_RX_BUFFER 650
#endif

// Define the serial console for debug prints, if needed
#define TINY_GSM_DEBUG SerialMon
// Range to attempt to autobaud
#define GSM_AUTOBAUD_MIN 9600
#define GSM_AUTOBAUD_MAX 115200

#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>
#include <TinyGsmClient.h>
#include "Talkie.h"
#include "Vocab_US_Large.h"
#include "Vocab_Special.h"

char auth[] = BLYNK_AUTH_TOKEN;

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "";
char pass[] = "";

// Hardware Serial on Mega, Leonardo, Micro...
#define EspSerial Serial1

// or Software Serial on Uno, Nano...
//#include <SoftwareSerial.h>
//SoftwareSerial EspSerial(2, 3); // RX, TX

// Your ESP8266 baud rate:
#define ESP8266_BAUD 115200

ESP8266 wifi(&EspSerial);

void setup()
{
  CircuitPlayground.begin();
  SerialUSB.begin(115200);
  EspSerial.begin(ESP8266_BAUD);
  delay(10);

  //Blynk.begin(auth, wifi, ssid, pass);
  // You can also specify server:
  Blynk.begin(auth, wifi, ssid, pass, "blynk.cloud", 80);
  //Blynk.begin(auth, wifi, ssid, pass, IPAddress(192,168,1,100), 8080);
}

unsigned long lastSend;

void loop()
{
  Blynk.run();
  //temp sensor
  int temperatureF = CircuitPlayground.temperatureF();
  int temperatureC = (temperatureF - 32) / 1.8;
  Blynk.virtualWrite(V2, temperatureC);
}


// url call
BLYNK_WRITE(V5){
  int pinValue = param.asInt();
  Serial.print("got val: ");
  Serial.println(pinValue);
  if(pinValue = 1){
    sayCheckAlert();
  }
}

void sayCheckAlert(){
  Talkie voice;
  voice.say(sp4_PLEASE);
  voice.say(sp4_CHECK);
  voice.say(sp4_ALERT);
}

BLYNK_WRITE(V0){
  int pinValue = param.asInt();
    if(pinValue = 1){
      Blynk.virtualWrite(V1, "movie");
  }
}

BLYNK_WRITE(V6){
  int pinValue = param.asInt();
    if(pinValue = 1){
      Blynk.virtualWrite(V1, "beach");
  }
}
